//
//  WebAPITutorialViewController.h
//  WebAPITutorial
//
//  Created by Justin Helmig on 7/5/13.
//  Copyright (c) 2013 StrikeIron. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface WebAPITutorialViewController : UIViewController <NSURLConnectionDelegate,UITextFieldDelegate, NSXMLParserDelegate>
{
  NSURLConnection *currentConnection;
  NSXMLParser *xmlParser;
}
- (IBAction)verifyEmail:(id)sender;
@property (weak, nonatomic) IBOutlet UITextField *emailAddress;
@property (weak, nonatomic) IBOutlet UILabel *verificationResults;
@property (strong, nonatomic) NSString *enteredEmailAddress;
@property (strong, nonatomic) NSMutableData *apiReturnXMLData;
@property (nonatomic) NSInteger statusNbr;
@property (nonatomic) NSInteger reasonCode;
@property (strong, nonatomic) NSString *hygieneResult;
@property (strong, nonatomic) NSString *currentElement;
@end
